#
# spec file for package patch (Version 2.5.9)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           patch
License:        GPL
Group:          Productivity/Text/Utilities
Autoreqprov:    on
Version:        2.5.9
Release:        160.2
Summary:        GNU patch
Source:         ftp://prep.ai.mit.edu/pub/gnu/patch/%{name}-%{version}.tar.bz2
URL:            http://www.gnu.org/software/patch/patch.html
Patch:          trailing-cr-fix.diff
Patch1:         remember-backup-files.diff
Patch2:         unified-reject-files.diff
Patch3:         global-reject-file.diff
Patch4:         if_else_endif_comments.diff
Patch5:         patch-2.5.9-cat_if_device.diff
Patch6:         patch-man-unified-reject.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU patch program is used to apply diffs between original and
changed files (generated by the diff command) to the original files.



Authors:
--------
    Larry Wall
    Paul Eggert

%debug_package
%prep
%setup -q
%suse_update_config
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch5 -p1
%patch6 -p1

%build
aclocal --acdir=m4
autoheader
autoconf
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE -Wall -O2 -pipe" \
./configure \
%ifarch sparc sparc64
					--disable-largefile \
%endif
					--prefix=%{_prefix}
make CPPFLAGS=""

%install
make install \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
        man1dir=$RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root)
%doc NEWS README 
/usr/bin/patch
%doc %{_mandir}/man1/patch.1.gz

%changelog -n patch
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - agruen@suse.de
- remember-backup-files.diff: Fix case where a patch modifies a
  read-only file more than once while --backup is used (test case
  in the patch header).
* Thu Aug 18 2005 - mmj@suse.de
- --reject-unified is called --unified-reject-files [#105151]
* Wed Jun 29 2005 - mmj@suse.de
- Don't compile with -f-signed-char [#93883]
- Don't strip explicitly
* Tue Jan 04 2005 - mmj@suse.de
- Add patch to make patch able to write reject files to devices,
  named pipes and sockets [#45794]
* Sun Jan 25 2004 - agruen@suse.de
- Add --reject-unified option to produce unified reject files:
  Before, unified reject files were produced if the patch itself
  was unified; this could sometimes have been annoying.
- If a patch with C function names (diff -p) has rejects, include
  the function names in the reject files.
* Sun Jan 11 2004 - adrian@suse.de
- add %%defattr
* Tue Oct 07 2003 - agruen@suse.de
- remember-backup-files: Also include the file timestamps in the
  hash table for non-POSIX-compliant systems that don't guarantee
  that i_dev + i_ino uniquely identifies a file.
- #32031: Create --global-reject-file even if --dry-run is
  specified. Add a missing '\n'.
* Wed Jul 16 2003 - agruen@suse.de
- Replace trailing-cr-fix.diff with official upstream version that
  fixes this bug differently.
* Mon Jun 30 2003 - agruen@suse.de
- trailing-cr-fix.diff: Fix a bug in carriage return detection
  (DOS files) in the unified diff path.
- Disable patch that adds comments to C preprocessor style
  merges, as specified by POSIX.1-2001.
* Wed Jun 25 2003 - agruen@suse.de
- Fix bug introduced on June 5 that broke remember-backup-files.
* Tue Jun 24 2003 - agruen@suse.de
- smart-reject-file-format.diff: Work around a special case in
  which patches are not terminated with a '^' in the internal
  representation. The resulting error message was "internal error
  in abort_hunk".
* Thu Jun 05 2003 - agruen@suse.de
- Temporary reject file logic: Ooops, now must only close the
  temporary reject file after processing all patches, instead of
  after each patch.
* Thu Jun 05 2003 - agruen@suse.de
- Upgrade to 2.5.9: Several fixes, obsoletes
  rename-same-file.patch.
- Fix and adapt global-reject-file patch:
  + The global reject file included corrupted headers for each
  rejected hunk, instead of one header for each file with
  rejects.
  + Rename --global-reject to --global-reject-file.
  + Simplify temporary reject file logic.
  + Adapt to unified-reject-files patch (which has different
  headers).
  + Add entry in man page.
- Fix a bug in smart-reject-file-format: Files that are created
  are identified by `-0,0'; before the patch was generating
  `-1,0' in reject files.
- Switch remember-backup-files.diff over to use gnulib's hash
  tables instead of glibc's binary trees, requested from upstream
  to ensure greater portability.
- Add /* SYM */ comment to #endif lines for patch -D SYM, too.
* Wed Apr 09 2003 - agruen@suse.de
- Fix another bug with hard links and backup file generation.
- Fix backup file generation if the same file appears in the
  patch more than once.
* Wed Mar 26 2003 - mmj@suse.de
- Update to 2.5.8:
   Bugfixes
   patch -D now outputs preprocessor lines without comments, as
  required by POSIX 1003.1-2001
   File names in context patches may now contain spaces, so long
  as the context patch headers use a tab to separate the file name
  from the time stamp
   Perforce is now supported
   Patch lines beginning with "#" are comments and are ignored
* Wed Jan 15 2003 - agruen@suse.de
- Fix a bug with hardlinks (see rename-same-file.patch)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Wed Feb 06 2002 - coolo@suse.de
- called suse_update_config
* Mon Jun 25 2001 - uli@suse.de
- added patch adding "--global-reject" option by ak@suse.de
- bzipped tarball
* Tue Mar 06 2001 - bk@suse.de
- update to 2.5.4, added 2 patches from PLD and use buildroot
* Wed Nov 08 2000 - uli@suse.de
- now builds with -D_GNU_SOURCE, should avoid miscompilation that
  breaks LFS support
- added fix for offset output by Alessandro Rubini
- added fix and enhancement for --ifdef by Pete Buechler
* Sun Feb 27 2000 - @suse.de
- added missing CFLAGS quotes.
* Sun Feb 27 2000 - bk@suse.de
- added PPC fixes by Uli back again (-fsigned-char, CPPFLAGS)
* Fri Feb 25 2000 - schwab@suse.de
- Specfile cleanup, get rid of Makefile.Linux
- /usr/man -> /usr/share/man
- Add group tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Aug 18 1999 - uli@suse.de
- fixed for PPC (-fsigned-char, CPPFLAGS)
* Tue Mar 16 1999 - ro@suse.de
- update to 2.5.3 using diff from jurix
* Wed Jan 13 1999 - bs@suse.de
- applied patch from Egbert Eich (problems with non existing files fixed)
* Thu Nov 05 1998 - ro@suse.de
- use libc's basename() for glibc
